PULSAR

Get Shifts With Pagination

Get shifts with pagination.

Authorization

bearerAuth user, superuser, admin, superadmin, readonly
Authorization<token>

In: header

Scope: user, superuser, admin, superadmin, readonly

Query Parameters

start*string

The start of the date range to filter by.

Formatdate-time
end*string

The end of the date range to filter by.

Formatdate-time
machineId?array<>

The machine's ID.

page?number

The page number to return.

Formatdouble
pageSize?number

The number of results to return per page.

Formatdouble

Response Body

application/json

Try it live
GET
/shifts/all

This endpoint requires authentication — use the Login page at the top of the API Reference, or paste a token in the Authorization section below.

curl -X GET "https://example.com/shifts/all?start=2019-08-24T14%3A15%3A22Z&end=2019-08-24T14%3A15%3A22Z"
{  "totalItems": 0.1,  "currentPage": 0.1,  "totalPages": 0.1,  "data": [    {      "updatedAt": "2019-08-24T14:15:22Z",      "createdAt": "2019-08-24T14:15:22Z",      "end": "2019-08-24T14:15:22Z",      "start": "2019-08-24T14:15:22Z",      "name": "string",      "machineId": 0.1,      "id": 0.1    }  ]}